Page MenuHomePhabricator

The <accesskey-save> (Ctrl+Alt+S) keyboard shortcut opens the Save dialog but should also trigger save when in it
Closed, ResolvedPublic

Description

Saving quick edits in wikitext is a bit faster because 1) I don't get the save modal, 2) I can do it with a single keyboard shortcut. Whether or not there's a better answer than the modal, I would like to at least be able to quickly save by pressing Alt+Shift+S twice from the editor.

Event Timeline

Eloquence raised the priority of this task from to Needs Triage.
Eloquence updated the task description. (Show Details)
Eloquence changed Security from none to None.
Eloquence added a project: VisualEditor.
Eloquence added a subscriber: Eloquence.
Jdforrester-WMF renamed this task from Save dialog should have keyboard shortcut to The <accesskey-save> (Ctrl+Alt+S) keyboard shortcut opens the Save dialog but should also trigger save when in it.Nov 29 2014, 2:21 AM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.

[27-11-2014 22:48:38] <Krenair> I guess it could be achieved with this.getActions().get( { actions: 'save' } )[0].$button.attr( 'accesskey', 's' ); while changing to the save panel
[27-11-2014 22:48:45] <Krenair> but ew.

[27-11-2014 22:48:38] <Krenair> I guess it could be achieved with this.getActions().get( { actions: 'save' } )[0].$button.attr( 'accesskey', 's' ); while changing to the save panel
[27-11-2014 22:48:45] <Krenair> but ew.

I hear your "ew" and raise you $( '#ca-edit' ).text() ;-)

https://gerrit.wikimedia.org/r/#/c/176071/2/modules/ve-mw/ui/pages/ve.ui.MWAdvancedSettingsPage.js

Change 179988 had a related patch set uploaded (by Alex Monk):
Set 's' accesskey on save button inside save dialog

https://gerrit.wikimedia.org/r/179988

Patch-For-Review

Krenair claimed this task.Dec 15 2014, 9:08 PM

Change 179988 merged by jenkins-bot:
Set 's' accesskey on save button inside save dialog

https://gerrit.wikimedia.org/r/179988

Jdforrester-WMF closed this task as Resolved.Dec 16 2014, 6:59 PM
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.
Pols12 reopened this task as Open.Dec 1 2015, 7:57 PM
Pols12 added a subscriber: Pols12.

Shortcut does not work fine.
When dialog is displayed, if I press ALT+MAJ+S focus is given to the blue button "Save the page" in background. If I press a second time ALT+MAJ+S, focus is given to green button "Save". Focus switch between both buttons as pressing ALT+MAJ+S.
So, to save the page, I have to press twice ALT+MAJ+S then press Enter or Spacebar.

I use Firefox 42 on Fedora.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2015, 7:57 PM
APerson added a subscriber: APerson.Dec 7 2015, 1:29 AM
Krenair closed this task as Resolved.Dec 10 2015, 10:44 PM

WFM in Chrome. Can you open a separate bug?

APerson rescinded a token.Jan 20 2016, 1:12 AM